
D4Science Infrastructure - Incident #3831

Cannot upload file on VRE Folder

May 02, 2016 02:56 PM - Massimiliano Assante

Status: Closed Start date: May 02, 2016

Priority: Urgent Due date: May 02, 2016

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I Just created a new VRE for ICES training course on Social Science Methods for Natural Scientists but it seems i'm not able to

upload any file in it. See the following exception.

2016-05-02 12:53:23,058 ERROR upload.WorkspaceUploaderMng [TP-Processor18,createWorkspaceUploaderF

ile:102] %org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.ho

melibrary.home.exceptions.InternalErrorException: org.apache.jackrabbit.rmi.client.RemoteRepositor

yException: java.rmi.UnmarshalException: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at org.gcube.common.homelibrary.util.WorkspaceUtil.createExternalFile(WorkspaceUtil.java:208)

    at org.gcube.portlets.widgets.workspaceuploader.server.upload.WorkspaceUploaderMng.createWorks

paceUploaderFile(WorkspaceUploaderMng.java:76)

    at org.gcube.portlets.widgets.workspaceuploader.server.upload.WorkspaceUploaderMng.uploadFile(

WorkspaceUploaderMng.java:200)

    at org.gcube.portlets.widgets.workspaceuploader.server.WorkspaceUploadServletStream.uploadData

(WorkspaceUploadServletStream.java:463)

    at org.gcube.portlets.widgets.workspaceuploader.server.WorkspaceUploadServletStream.doPost(Wor

kspaceUploadServletStream.java:226)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:290)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

    at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

    at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

    at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

    at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

    at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

    at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

    at java.lang.Thread.run(Thread.java:744)

Caused by: org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.jackrab

bit.rmi.client.RemoteRepositoryException: java.rmi.UnmarshalException: error unmarshalling return;

 nested exception is: 

    java.io.EOFException

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.getSession(JCRRepository.java:249

)

    at org.gcube.common.homelibrary.jcr.workspace.accessmanager.JCRPrivilegesInfo.canAddChildren(J

CRPrivilegesInfo.java:356)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.createItemDelegate(JCRWorkspace.jav

a:270)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.createExternalImage(JCRWorkspace.ja

va:439)

    at org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.createExternalImageIt

em(JCRAbstractWorkspaceFolder.java:196)

    at org.gcube.common.homelibrary.util.WorkspaceUtil.createExternalFile(WorkspaceUtil.java:198)

    ... 21 more
Caused by: org.apache.jackrabbit.rmi.client.RemoteRepositoryException: java.rmi.UnmarshalException

: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at org.apache.jackrabbit.rmi.client.ClientRepository.login(ClientRepository.java:168)

    at org.apache.jackrabbit.rmi.repository.ProxyRepository.login(ProxyRepository.java:199)

    at org.apache.jackrabbit.rmi.repository.ProxyRepository.login(ProxyRepository.java:233)

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.getSession(JCRRepository.java:245

)

    ... 26 more

Caused by: java.rmi.UnmarshalException: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:192)

    at org.apache.jackrabbit.rmi.server.ServerRepository_Stub.login(Unknown Source)

    at org.apache.jackrabbit.rmi.client.ClientRepository.login(ClientRepository.java:165)

    ... 29 more

Caused by: java.io.EOFException

    at java.io.ObjectInputStream$BlockDataInputStream.peekByte(ObjectInputStream.java:2598)

    at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1318)

    at java.io.ObjectInputStream.readObject(ObjectInputStream.java:370)

    at sun.rmi.server.MarshalInputStream.readLocation(MarshalInputStream.java:303)

    at sun.rmi.server.MarshalInputStream.resolveClass(MarshalInputStream.java:184)

    at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream.java:1612)

    at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.java:1517)

    at java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStream.java:1771)

    at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1350)

    at java.io.ObjectInputStream.readObject(ObjectInputStream.java:370)

    at sun.rmi.server.UnicastRef.unmarshalValue(UnicastRef.java:325)

    at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:174)

    ... 31 more

[PORTAL] 326148616 [TP-Processor18] ERROR org.gcube.portlets.widgets.workspaceuploader.server.uplo

ad.WorkspaceUploaderMng  - Error during upload: 

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.

home.exceptions.InternalErrorException: org.apache.jackrabbit.rmi.client.RemoteRepositoryException

: java.rmi.UnmarshalException: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at org.gcube.common.homelibrary.util.WorkspaceUtil.createExternalFile(WorkspaceUtil.java:208)

    at org.gcube.portlets.widgets.workspaceuploader.server.upload.WorkspaceUploaderMng.createWorks

paceUploaderFile(WorkspaceUploaderMng.java:76)

    at org.gcube.portlets.widgets.workspaceuploader.server.upload.WorkspaceUploaderMng.uploadFile(

WorkspaceUploaderMng.java:200)

    at org.gcube.portlets.widgets.workspaceuploader.server.WorkspaceUploadServletStream.uploadData

(WorkspaceUploadServletStream.java:463)

    at org.gcube.portlets.widgets.workspaceuploader.server.WorkspaceUploadServletStream.doPost(Wor

kspaceUploadServletStream.java:226)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:290)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

    at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

    at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

    at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

    at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

    at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

    at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

    at java.lang.Thread.run(Thread.java:744)

Caused by: org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.jackrab

bit.rmi.client.RemoteRepositoryException: java.rmi.UnmarshalException: error unmarshalling return;

 nested exception is: 

    java.io.EOFException

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.getSession(JCRRepository.java:249
)

    at org.gcube.common.homelibrary.jcr.workspace.accessmanager.JCRPrivilegesInfo.canAddChildren(J

CRPrivilegesInfo.java:356)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.createItemDelegate(JCRWorkspace.jav

a:270)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.createExternalImage(JCRWorkspace.ja

va:439)

    at org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.createExternalImageIt

em(JCRAbstractWorkspaceFolder.java:196)

    at org.gcube.common.homelibrary.util.WorkspaceUtil.createExternalFile(WorkspaceUtil.java:198)

    ... 21 more

Caused by: org.apache.jackrabbit.rmi.client.RemoteRepositoryException: java.rmi.UnmarshalException

: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at org.apache.jackrabbit.rmi.client.ClientRepository.login(ClientRepository.java:168)

    at org.apache.jackrabbit.rmi.repository.ProxyRepository.login(ProxyRepository.java:199)

    at org.apache.jackrabbit.rmi.repository.ProxyRepository.login(ProxyRepository.java:233)

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.getSession(JCRRepository.java:245

)

    ... 26 more

Caused by: java.rmi.UnmarshalException: error unmarshalling return; nested exception is: 

    java.io.EOFException

    at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:192)

    at org.apache.jackrabbit.rmi.server.ServerRepository_Stub.login(Unknown Source)

    at org.apache.jackrabbit.rmi.client.ClientRepository.login(ClientRepository.java:165)

    ... 29 more

Caused by: java.io.EOFException

    at java.io.ObjectInputStream$BlockDataInputStream.peekByte(ObjectInputStream.java:2598)

    at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1318)

    at java.io.ObjectInputStream.readObject(ObjectInputStream.java:370)

    at sun.rmi.server.MarshalInputStream.readLocation(MarshalInputStream.java:303)

    at sun.rmi.server.MarshalInputStream.resolveClass(MarshalInputStream.java:184)

    at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream.java:1612)

    at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.java:1517)

    at java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStream.java:1771)

    at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1350)

    at java.io.ObjectInputStream.readObject(ObjectInputStream.java:370)

    at sun.rmi.server.UnicastRef.unmarshalValue(UnicastRef.java:325)

    at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:174)

    ... 31 more

History

#1 - May 02, 2016 03:13 PM - Francesco Mangiacrapa

Several operations of the Workspace (like: list a folder, get users belonging to the share, etc.) on the iMarine and Service portals are throwing above

exception.

Reading the stacktrace, it seems a JCR malfunctioning..

Caused by: org.apache.jackrabbit.rmi.client.RemoteRepositoryException: java.rmi.UnmarshalException: error unma

rshalling return; nested exception is: 

    java.io.EOFException

    at org.apache.jackrabbit.rmi.client.ClientRepository.login(ClientRepository.java:168)

#2 - May 02, 2016 03:20 PM - Massimiliano Assante

- Status changed from New to Closed

- Assignee changed from Francesco Mangiacrapa to Massimiliano Assante

- % Done changed from 0 to 100

the JackRabbit repos was restarted successfully, things seems back to normal
